import UIKit
import Flutter
import GoogleMaps
import Firebase

@UIApplicationMain
@objc class AppDelegate: FlutterAppDelegate {
  override func application(
    _ application: UIApplication,
    didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?
  ) -> Bool {
    GMSServices.provideAPIKey("AIzaSyANDm5Zz0wANaVvVm5X8_SshGJzy9RnV7U")
      FirebaseApp.configure() // Should be first
      GeneratedPluginRegistrant.register(with: self) // Should be second

    return super.application(application, didFinishLaunchingWithOptions: launchOptions)
  }
}
